#ifndef H_CCOLLRECT
#define H_CCOLLRECT
class cCollRect
{
private:
	double x, y, left, top, right, bottom;
public:
	cCollRect();
	cCollRect(double xx, double yy, double ww, double hh, double xo, double yo);
	void SetLeft(double l);
	void SetTop(double t);
	void SetRight(double r);
	void SetBottom(double b);
	void SetX(double xx);
	void SetY(double yy);
	void SetPosition(double xx, double yy);
	double GetX();
	double GetY();
	double GetLeft();
	double GetTop();
	double GetRight();
	double GetBottom();
	bool CollidesWidth(cCollRect *other);
};
#endif